<?xml version="1.0"?>
  <database name="TRIGGER REM_INSTRUCTION_TRG">
    <trigger name="REM_INSTRUCTION_TRG" table="REM_INSTRUCTION" fires="before" insert="false" update="false" delete="true" foreach="row">
      <body><![CDATA[
    /*************************************************************************
    * The contents of this file are subject to the Openbravo  Public  License
    * Version  1.1  (the  "License"),  being   the  Mozilla   Public  License
    * Version 1.1  with a permitted attribution clause; you may not  use this
    * file except in compliance with the License. You  may  obtain  a copy of
    * the License at http://www.openbravo.com/legal/license.html
    * Software distributed under the License  is  distributed  on  an "AS IS"
    * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
    * License for the specific  language  governing  rights  and  limitations
    * under the License.
    * The Original Code is Openbravo ERP.
    * The Initial Developer of the Original Code is Openbravo SLU
    * All portions are Copyright (C) 2011 Openbravo SLU
    * All Rights Reserved.
    * Contributor(s):  ______________________________________.
    ************************************************************************/
  v_Processed VARCHAR(60) ;
  v_REM_Remittance_ID VARCHAR2(32) ;
    
BEGIN
  IF AD_isTriggerEnabled()='N' THEN RETURN;
  END IF;

  IF DELETING THEN
    v_REM_Remittance_ID:=:OLD.REM_Remittance_ID;
  END IF;

  SELECT PROCESSED
  INTO v_Processed
  FROM REM_Remittance
  WHERE REM_Remittance_ID=v_REM_Remittance_ID;

  IF(DELETING AND v_Processed='Y') THEN
    RAISE_APPLICATION_ERROR(-20501, 'Document processed/posted') ;
  END IF;

  END REM_INSTRUCTION_TRG
]]></body>
    </trigger>
  </database>
